Package org.opensaml.xacml

# Interface XACMLObjectBuilder<XACMLObjectType extends XACMLObject>

Type Parameters:
  `XACMLObjectType` - type of XACML object built

All Superinterfaces:
  `XMLObjectBuilder<XACMLObjectType>`

All Known Implementing Classes:
  `AbstractXACMLObjectBuilder`, `ActionMatchTypeImplBuilder`, `ActionsTypeImplBuilder`, `ActionTypeImplBuilder`, `ActionTypeImplBuilder`, `ApplyTypeImplBuilder`, `AttributeAssignmentTypeImplBuilder`, `AttributeDesignatorTypeImplBuilder`, `AttributeSelectorTypeImplBuilder`, `AttributeTypeImplBuilder`, `AttributeValueTypeImplBuilder`, `AttributeValueTypeImplBuilder`, `CombinerParametersTypeImplBuilder`, `CombinerParameterTypeImplBuilder`, `ConditionTypeImplBuilder`, `DecisionTypeImplBuilder`, `DefaultsTypeImplBuilder`, `DescriptionTypeImplBuilder`, `EnvironmentMatchTypeImplBuilder`, `EnvironmentsTypeImplBuilder`, `EnvironmentTypeImplBuilder`, `EnvironmentTypeImplBuilder`, `FunctionTypeImplBuilder`, `IdReferenceTypeImplBuilder`, `MissingAttributeDetailTypeImplBuilder`, `ObligationsTypeImplBuilder`, `ObligationTypeImplBuilder`, `PolicyCombinerParametersTypeImplBuilder`, `PolicySetCombinerParametersTypeImplBuilder`, `PolicySetTypeImplBuilder`, `PolicyTypeImplBuilder`, `ReferencedPoliciesTypeImplBuilder`, `RequestTypeImplBuilder`, `ResourceContentTypeImplBuilder`, `ResourceMatchTypeImplBuilder`, `ResourcesTypeImplBuilder`, `ResourceTypeImplBuilder`, `ResourceTypeImplBuilder`, `ResponseTypeImplBuilder`, `ResultTypeImplBuilder`, `RuleCombinerParametersTypeImplBuilder`, `RuleTypeImplBuilder`, `StatusCodeTypeImplBuilder`, `StatusDetailTypeImplBuilder`, `StatusMessageTypeImplBuilder`, `StatusTypeImplBuilder`, `SubjectAttributeDesignatorTypeImplBuilder`, `SubjectMatchTypeImplBuilder`, `SubjectsTypeImplBuilder`, `SubjectTypeImplBuilder`, `SubjectTypeImplBuilder`, `TargetTypeImplBuilder`, `VariableDefinitionTypeImplBuilder`, `VariableReferenceTypeImplBuilder`, `XACMLAuthzDecisionQueryTypeImplBuilder`

public interface XACMLObjectBuilder<XACMLObjectType extends XACMLObject> extends XMLObjectBuilder<XACMLObjectType>
Builder of XACML objects.

## Method Summary

Modifier and Type
Method
Description
`XACMLObjectType`
`buildObject()`
Builds a XACML object, using its default attribute name.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

XACMLObjectType buildObject()
Builds a XACML object, using its default attribute name.

Returns:
  constructed XACML object